[openchrome-devel] xf86-video-openchrome: 4 commits - autogen.sh configure.ac

Kevin Brace kevinbrace at kemper.freedesktop.org
Thu Jan 31 03:48:56 UTC 2019


 autogen.sh   |   10 ++++++----
 configure.ac |    1 -
 2 files changed, 6 insertions(+), 5 deletions(-)

New commits:
commit e5d8b3131c94f6ac942d6252adaf46a2fc20e677
Author: Emil Velikov <emil.l.velikov at gmail.com>
Date:   Wed Jan 30 19:41:44 2019 -0800

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov at gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer at who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>

diff --git a/autogen.sh b/autogen.sh
index fd9c59a..0006de8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,14 +1,14 @@
 #! /bin/sh
 
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
 test -z "$srcdir" && srcdir=.
 
 ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
 
 autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
 
 if test -z "$NOCONFIGURE"; then
-    exec $srcdir/configure "$@"
+    exec "$srcdir"/configure "$@"
 fi
commit 2146435eccb88659de629a5691ede93af9d5b094
Author: Peter Hutterer <peter.hutterer at who-t.net>
Date:   Wed Jan 30 19:37:40 2019 -0800

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov at collabora.com>

diff --git a/autogen.sh b/autogen.sh
index fc34bd5..fd9c59a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -10,5 +10,5 @@ autoreconf -v --install || exit 1
 cd $ORIGDIR || exit $?
 
 if test -z "$NOCONFIGURE"; then
-    $srcdir/configure "$@"
+    exec $srcdir/configure "$@"
 fi
commit 8113716fae69ddd1a34ced35a365f5e2c907b16a
Author: Alan Coopersmith <alan.coopersmith at oracle.com>
Date:   Wed Jan 30 19:32:40 2019 -0800

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>

diff --git a/autogen.sh b/autogen.sh
index 80ae530..fc34bd5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,5 +9,6 @@ cd $srcdir
 autoreconf -v --install || exit 1
 cd $ORIGDIR || exit $?
 
-$srcdir/configure "$@"
-
+if test -z "$NOCONFIGURE"; then
+    $srcdir/configure "$@"
+fi
commit 64ae991477f7cfc60044c03e6457c03712a2c49e
Author: Alan Coopersmith <alan.coopersmith at oracle.com>
Date:   Wed Jan 30 19:25:26 2019 -0800

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>

diff --git a/autogen.sh b/autogen.sh
index 904cd67..80ae530 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,4 +9,5 @@ cd $srcdir
 autoreconf -v --install || exit 1
 cd $ORIGDIR || exit $?
 
-$srcdir/configure --enable-maintainer-mode "$@"
+$srcdir/configure "$@"
+
diff --git a/configure.ac b/configure.ac
index 91a11c0..d2d62d2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -42,7 +42,6 @@ AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_AUX_DIR(.)
 
 AM_INIT_AUTOMAKE([foreign dist-bzip2])
-AM_MAINTAINER_MODE
 
 # Initialize libtool
 AC_DISABLE_STATIC


More information about the openchrome-devel mailing list